=== debian/changelog ===
graphviz (2.36.0-0ubuntu3.2) trusty; urgency=medium

  * Add missing dependency from libgraphviz-dev to libgvc6-plugins-gtk
    (LP: #1398028)
  * Install missing GDK plugin in libgvc6-plugin-gtk

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Dec 2016 22:28:32 -0500

graphviz (2.36.0-0ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Format string vulnerability may allow attackers to
    cause a denial of service or possibly execute code.
    - debian/patches/CVE-2014-9157.patch: Fix format string vulnerability in
      lib/cgraph/scan.l yyerror() routine.
    - CVE-2014-9157

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 04 Dec 2014 16:12:24 -0800

graphviz (2.36.0-0ubuntu3) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit archs).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2014 13:58:45 +0100

graphviz (2.36.0-0ubuntu2) trusty; urgency=medium

  * debian/*.post{inst,rm}: Update for libgvc5-config-update →
    libgvc6-config-update to correctly configure plugins. (LP: #1270025)
  * Add a simple autopkgtest that ensures that "dot" works.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jan 2014 07:55:19 +0100

graphviz (2.36.0-0ubuntu1) trusty; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2014 08:33:48 +0100

graphviz (2.34.0-0ubuntu6) trusty; urgency=low

  * SECURITY UPDATE: buffer overflow in yyerror()
    - debian/patches/CVE-2014-0978.patch: don't overflow buf in
      lib/cgraph/scan.l.
    - CVE-2014-0978
  * SECURITY UPDATE: buffer overflow in yyerror() security fix
    - debian/patches/CVE-2014-1235.patch: once again, don't overflow buf
      in lib/cgraph/scan.l.
    - CVE-2014-1235
  * SECURITY UPDATE: buffer overflow in chkNum of scanner
    - debian/patches/CVE-2014-1236.patch: don't overflow buf in
      lib/cgraph/scan.l.
    - CVE-2014-1236

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jan 2014 13:01:36 -0500

graphviz (2.34.0-0ubuntu5) trusty; urgency=medium

  * Fix dh-autoreconf invocation to not override the arguments to autoreconf;
    without -i, libtoolize is never called.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 15 Dec 2013 22:47:35 -0800

graphviz (2.34.0-0ubuntu4) trusty; urgency=low

  * Revert the last change and remove references to libgraph.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2013 15:38:48 +0200

graphviz (2.34.0-0ubuntu3) trusty; urgency=low

  * Build libgraph again.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2013 13:57:49 +0200

graphviz (2.34.0-0ubuntu2) trusty; urgency=low

  * New upstream version.
  * Build using lua5.2. LP: #1196921.
  * Build using ruby1.9.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Sep 2013 12:35:03 +0200

graphviz (2.26.3-15ubuntu3) saucy; urgency=low

  * Recommend fonts-liberation rather than ttf-liberation.

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 13 Sep 2013 08:05:04 +1000

graphviz (2.26.3-15ubuntu2) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 01:57:50 +0100

graphviz (2.26.3-15ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.
    - Drop unused build-dependency on pdksh.
    - Mark graphviz Multi-Arch: foreign.
    - Handle multiarch Python.
    - Build using guile-2.0.
    - Configure with --disable-silent-rules.
    - Configure for the Tcl/Tk 8.5 multiarch installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jun 2013 13:20:08 +0100

graphviz (2.26.3-15) unstable; urgency=low

  * Disable python2.6 (Closes: #707502)

 -- Christoph Egger <christoph@debian.org>  Tue, 25 Jun 2013 12:35:36 +0200

graphviz (2.26.3-14ubuntu2) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 May 2013 11:22:04 +0100

graphviz (2.26.3-14ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.
    - Stop trying to install /usr/lib/graphviz/python26.
    - Drop unused build-dependency on pdksh.
    - Mark graphviz Multi-Arch: foreign.
    - Handle multiarch Python.
    - Build using guile-2.0.
    - Configure with --disable-silent-rules.
  * Configure for the Tcl/Tk 8.5 multiarch installation. LP: #1163136.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2013 10:02:23 +0200

graphviz (2.26.3-14) unstable; urgency=low

  * Use system ltdl in place of version in subdir (Closes: #701832)
    - Currently an ancient version of libltdl is being
      shipped and used, unnoticed until now.
      Changed configure.ac to ensure system ltdl is used instead
    - Security issue - affected by DSA-1958-1 (CVE-2009-3736)

 -- David Claughton <dave@eclecticdave.com>  Fri, 08 Mar 2013 22:37:51 +0000

graphviz (2.26.3-13) unstable; urgency=low

  [ David Claughton ]
  * Add 'fontfaq.txt' file to graphviz-doc package 

  [ Christoph Egger ]
  * Import patch by Steven Chamberlain to fix hangs on kfeebsd (Closes: #701832)

 -- David Claughton <dave@eclecticdave.com>  Sun, 23 Sep 2012 22:10:00 +0100

graphviz (2.26.3-12ubuntu5) raring; urgency=low

  * Build using guile-2.0.
  * Configure with --disable-silent-rules.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2013 09:21:16 +0100

graphviz (2.26.3-12ubuntu4) raring; urgency=low

  * Handle multiarch Python.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Jan 2013 19:38:55 +0000

graphviz (2.26.3-12ubuntu3) raring; urgency=low

  * Mark graphviz Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 02:45:38 +0000

graphviz (2.26.3-12ubuntu2) raring; urgency=low

  * Drop unused build-dependency on pdksh.


