=== debian/control ===
Source: graphviz
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Claughton <dave@eclecticdave.com>
Uploaders: Christoph Egger <christoph@debian.org>,
 Sebastian Harl <tokkee@debian.org>
Standards-Version: 3.8.4
Build-Depends: tk-dev,
 tcl-dev,
 debhelper (>= 7.1.0~),
 libfreetype6-dev,
 zlib1g-dev,
 libjpeg-dev,
 libpng-dev,
 libxaw7-dev,
 bison,
 flex,
 autotools-dev,
 libexpat1-dev,
 libfontconfig1-dev,
 libltdl-dev (>= 2.2.6b),
 swig,
 libperl-dev,
 libgd2-noxpm-dev (>= 2.0.35),
 groff-base,
 ghostscript,
 lua5.2,
 liblua5.2-dev,
 ruby1.9.1,
 ruby1.9.1-dev,
 php5-dev,
 php5-cli,
 python-all-dev (>= 2.6.6-3~),
 libcairo2-dev,
 libpango1.0-dev,
 guile-2.0-dev,
 d-shlibs,
 chrpath,
 dh-autoreconf,
 libgtk2.0-dev,
 libgnomeui-dev
Build-Conflicts: tcl8.3, tcl8.4, tcl8.5
Vcs-Git: git://git.debian.org/git/collab-maint/graphviz.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/graphviz.git
Homepage: http://www.graphviz.org/
XS-Testsuite: autopkgtest

Package: graphviz
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gdtclft
Recommends: fonts-liberation
Suggests: gsfonts, graphviz-doc
Description: rich set of graph drawing tools
 Graph drawing addresses the problem of visualizing structural information
 by constructing geometric representations of abstract graphs and networks.
 Automatic generation of graph drawings has important applications in key
 technologies such as database design, software engineering, VLSI and
 network design and visual interfaces in other domains. Situations where
 these tools might be particularly useful include:
 .
   * you would like to restructure a program and first need to understand
     the relationships between its types, procedures, and source files
   * you need to find the bottlenecks in an Internet backbone - not only
     individual links, but their relationships
   * you're debugging a protocol or microarchitecture represented as a
     finite state machine and need to figure out how a certain
     error state arises
   * you would like to browse a database schema, knowledge base, or
     distributed program represented graphically
   * you would like to see an overview of a collection of linked documents
   * you would like to discover patterns and communities of interest in a
     database of telephone calls or e-mail messages
 .
 This package contains the command-line tools.

Package: libgv-guile
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Guile bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the guile (2.0) bindings.

Package: libgv-lua
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lua bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the lua5.2 bindings.

Package: libgv-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Perl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Perl bindings.

Package: libgv-php5
Architecture: any
Section: php
Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
Description: PHP5 bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the PHP5 bindings.

Package: libgv-python
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Python bindings.

Package: libgv-ruby
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ruby1.9.1, ${misc:Depends}
Description: Ruby bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Ruby (1.9.1) bindings.


Package: libgv-tcl
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Tcl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Tcl (8.6) bindings.

Package: libcgraph6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - cgraph library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the cgraph library.

Package: libcdt5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - cdt library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the cdt library.

Package: libpathplan4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - pathplan library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the pathplan library.

Package: libgvc6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4, libgvc5
Description: rich set of graph drawing tools - gvc library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gvc library.

Package: libgvc6-plugins-gtk
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - gtk plugins
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gtk and gdk-pixbuf plugins.

Package: libgvpr2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Replaces: libgvpr1
Description: rich set of graph drawing tools - gvpr library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gvpr library.

Package: libxdot4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - xdot library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the xdot library.

Package: libgraphviz-dev
Architecture: any
Section: libdevel
Depends: libcdt5 (= ${binary:Version}),
 libcgraph6 (= ${binary:Version}),
 libgvc6 (= ${binary:Version}),
 libgvpr2 (= ${binary:Version}),
 libpathplan4 (= ${binary:Version}),
 libxdot4 (= ${binary:Version}),
 libgvc6-plugins-gtk (= ${binary:Version}),
 ${devlibs:Depends}, ${misc:Depends}
Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
Provides: graphviz-dev
Description: graphviz libs and headers against which to build applications
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: graphviz-doc
Depends: ${misc:Depends}
Architecture: all
Section: doc
Conflicts: graphviz (<< 2.12-1)
Suggests: graphviz
Description: additional documentation for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs HTML and PDF documentation for Graphviz, as well as
 examples.

Package: graphviz-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: libgraphviz-dev, ${misc:Depends}
Description: transitional package for graphviz-dev rename
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package is targeted at easing the upgrade from older graphviz-dev to the
 new libgraphviz-dev package.
 .
 This package can be purged at anytime once the libgraphviz-dev package has
 been installed.
