=== cmd/gvpr/lib/Makefile ===
--- 
+++ 
@@ -187,10 +187,10 @@
 GRAPHVIZ_SOURCES = graphviz/test/SOURCES
 GRAPHVIZ_VERSION_BUILD = 0
 GRAPHVIZ_VERSION_COMMIT = unknown
-GRAPHVIZ_VERSION_DATE = 20140111.2315
+GRAPHVIZ_VERSION_DATE = 20140413.2041
 GRAPHVIZ_VERSION_MAJOR = 2
 GRAPHVIZ_VERSION_MICRO = 0
-GRAPHVIZ_VERSION_MINOR = 36
+GRAPHVIZ_VERSION_MINOR = 38
 GRAPHVIZ_VERSION_REVISION = 0
 GREP = /usr/bin/grep
 GROFF = groff
@@ -281,10 +281,10 @@
 PACKAGE = graphviz
 PACKAGE_BUGREPORT = http://www.graphviz.org/
 PACKAGE_NAME = graphviz
-PACKAGE_STRING = graphviz 2.36.0
+PACKAGE_STRING = graphviz 2.38.0
 PACKAGE_TARNAME = graphviz
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.36.0
+PACKAGE_VERSION = 2.38.0
 PANGOCAIRO_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm  
 PANGOCAIRO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
 PANGOFT2_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
