=== debian/changelog ===
graphviz (2.38.0-7) unstable; urgency=high

  * QA upload.
  * Add CVE-2014-9157.patch.
    Fix format string vulnerability (CVE-2014-9157) in yyerror() routine
    which may allow attackers to cause a denial of service or possibly
    execute code.
    Thanks to Marc Deslauriers <marc.deslauriers@ubuntu.com> (Closes: #772648)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Dec 2014 07:21:52 +0100

graphviz (2.38.0-6) unstable; urgency=medium

  * QA upload.
  * Sync and re-enable kfreebsd-hang.patch (thanks to Steven
    Chamberlain; closes: #760165).

 -- Gilles Filippini <pini@debian.org>  Mon, 01 Sep 2014 23:43:10 +0200

graphviz (2.38.0-5) unstable; urgency=medium

  * QA upload.
  * Change the GVPLUGIN_CONFIG_FILE to /usr/lib/graphviz/config6a.
    Closes: #756308.
  * Remove old libgraphviz4 packaging files.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 10:51:22 +0200

graphviz (2.38.0-4) unstable; urgency=medium

  * QA upload.
  * libgvc6-plugins-gtk: Conflict with libgvc5-plugins-gtk. Closes: #755198.
  * Apply a work around to reduce the package size. Addresses: #755124.
  * Add missing -lm in link of cmd/dot. Closes: #755232.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2014 14:10:45 +0200

graphviz (2.38.0-3) unstable; urgency=medium

  * QA upload.
  * Fix maintainer scripts to call libgvc6-config-update. Closes: #755065.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Jul 2014 20:45:15 +0200

graphviz (2.38.0-2) unstable; urgency=medium

  * QA upload.
  * Add a simple autopkg test.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Jul 2014 17:13:41 +0200

graphviz (2.38.0-1) unstable; urgency=medium

  * QA upload, coordinated with the ITA submitter in #736605.
  * New upstream version. Closes: #645410, #724593.
  * Bump standards version to 3.9.5.
  * Build using dh_python2.
  * Drop unused build-dependency on pdksh.
  * Mark graphviz Multi-Arch: foreign.
  * Build using guile-2.0. Closes: #746012.
  * Configure with --disable-silent-rules.
  * Configure for the Tcl/Tk 8.6 multiarch installation.
  * Build using lua5.2.
  * Build using ruby-2.1.
  * Recommend fonts-liberation rather than ttf-liberation.
  * Don't hard code /usr/lib/perl5 in perl install file. Closes: #752346.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jul 2014 17:43:01 +0200

graphviz (2.26.3-17.1) unstable; urgency=low

  * Non-maintainer upload
  * Correct typo in rules so config.{sub,guess} is actually updated. (Closes: #749061)

 -- Wookey <wookey@debian.org>  Fri, 23 May 2014 14:25:42 +0000

graphviz (2.26.3-17) unstable; urgency=medium

  * QA upload.
  * First QA upload, setting maintainer to Debian QA Group.
  * Fix build with Ruby 2.0. (Closes: #743996)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 20 Apr 2014 16:00:36 +0200

graphviz (2.26.3-16.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build Ruby bindings for Ruby 1.9.1. (Closes: #722396)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 12 Feb 2014 04:03:17 +0100

graphviz (2.26.3-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2014-1235.patch patch.
    CVE-2014-1235: buffer overflow vulnerability in yyerror() introduced by
    original fix for CVE-2014-0978. (Closes: #734745)
  * Add CVE-2014-1236.patch patch.
    CVE-2014-1236: buffer overflow from user input (the regexp in chkNum
    would accept arbitrary long digit list) (Closes: #734745)
  * Enable hardened build flags.
    Thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes: #734804)
  * Add fix-missing-format-string.patch patch.
    Fixes missing format strings for printf and fprintf calls.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 12 Jan 2014 14:37:45 +0100

graphviz (2.26.3-16) unstable; urgency=medium

  * Add patch cherry-picked from upstream's github - fixes buffer
    overflow when processing a very long line (Closes: #729273, #505436)

 -- David Claughton <dave@eclecticdave.com>  Sat, 23 Nov 2013 23:25:28 +0000
