=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: graphviz
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Claughton <dave@eclecticdave.com>
-Uploaders: Christoph Egger <christoph@debian.org>,
- Sebastian Harl <tokkee@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.5
 Build-Depends: tk-dev,
  tcl-dev,
- debhelper (>= 7.1.0~),
+ debhelper (>= 9~),
  libfreetype6-dev,
  zlib1g-dev,
  libjpeg-dev,
@@ -27,8 +24,8 @@
  ghostscript,
  lua5.2,
  liblua5.2-dev,
- ruby1.9.1,
- ruby1.9.1-dev,
+ ruby,
+ ruby-dev,
  php5-dev,
  php5-cli,
  python-all-dev (>= 2.6.6-3~),
@@ -44,7 +41,6 @@
 Vcs-Git: git://git.debian.org/git/collab-maint/graphviz.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/graphviz.git
 Homepage: http://www.graphviz.org/
-XS-Testsuite: autopkgtest
 
 Package: graphviz
 Architecture: any
@@ -130,12 +126,12 @@
 Package: libgv-ruby
 Architecture: any
 Section: ruby
-Depends: ${shlibs:Depends}, ruby1.9.1, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ruby bindings for graphviz
  Graphviz is a set of graph drawing tools. See the description of the graphviz
  package for a full description.
  .
- This package contains the Ruby (1.9.1) bindings.
+ This package contains the Ruby bindings.
 
 
 Package: libgv-tcl
@@ -197,7 +193,7 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libgraphviz4
+Conflicts: libgraphviz4, libgvc5-plugins-gtk
 Description: rich set of graph drawing tools - gtk plugins
  Graphviz is a set of graph drawing tools. See the description of the graphviz
  package for a full description.
@@ -236,7 +232,6 @@
  libgvpr2 (= ${binary:Version}),
  libpathplan4 (= ${binary:Version}),
  libxdot4 (= ${binary:Version}),
- libgvc6-plugins-gtk (= ${binary:Version}),
  ${devlibs:Depends}, ${misc:Depends}
 Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
 Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
