=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,16 @@
 PYTHON_VERSIONS   = $(shell pyversions -r)
 PYTHON_PACKAGE    = $(CURDIR)/debian/libgv-python
 
-RUBY_VERSION      = 1.9.1
 RUBY_PACKAGE      = $(CURDIR)/debian/libgv-ruby
 
-CONFIG_SCRIPTS=config/config.guess libltdl/config.guess \
-	       config/config.sub   libltdl/config.sub
-
-configure: configure-stamp
+CONFIG_SCRIPTS=config/config.guess libltdl/config/config.guess \
+	       config/config.sub   libltdl/config/config.sub
+
+# make's $(shell) doesn't use local variables, thus we need to define a
+# custom command where DEB_LDFLAGS_MAINT_APPEND is passed.
+# See: https://wiki.debian.org/HardeningWalkthrough#dpkg-buildflags
+dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed" dpkg-buildflags
+
 configure-stamp:
 	dh_testdir
 
@@ -81,12 +84,13 @@
 	--disable-sharp \
 	$(shell echo $(PYTHON_VERSIONS) | sed -e's,python,--enable-python,g' -e 's,\.,,g') \
 	$(CONFIGURE_LIBS) \
-	LDFLAGS="-Wl,--as-needed"
+	$(shell $(dpkg_buildflags) --export=configure)
+
 	touch configure-stamp
 
 build-arch: build
 build-indep: build
-build: configure build-stamp
+build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
 
@@ -165,7 +169,7 @@
 		$(CURDIR)/debian/tmp/usr/lib/*.so
 
 	# Move from debian/tmp to the appropriate packages, rename one binary
-	dh_install --sourcedir=debian/tmp --list-missing
+	DH_COMPAT=9 dh_install --sourcedir=debian/tmp --list-missing
 	mv $(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/dot \
 		$(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/libgvc$(SO_GVC)-config-update
 
@@ -206,12 +210,6 @@
 	dh_installman -plibgvc$(SO_GVC)      \
 		$(CURDIR)/debian/libgvc$(SO_GVC)-config-update.8
 
-	# Some additional work for libgv-ruby
-	install -d $(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)
-	mv $(RUBY_PACKAGE)/usr/lib/graphviz/ruby/libgv_ruby.so \
-		$(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)/gv.so
-	rm -rf $(RUBY_PACKAGE)/usr/lib/graphviz
-
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir -i
@@ -219,6 +217,7 @@
 	dh_installdocs -i
 	dh_installman
 	dh_installmenu -i
+	rm -f debian/graphviz-doc/usr/share/doc/graphviz/ChangeLog
 	dh_installchangelogs ChangeLog -i
 	dh_perl -i
 	dh_link -i
@@ -260,4 +259,3 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
